Package Details: nwjs-sdk 0.19.3-1

Git Clone URL: https://aur-dev.archlinux.org/nwjs-sdk.git (read-only)
Package Base: nwjs-sdk
Description: node-webkit is an app runtime based on Chromium and node.js. SDK version includes dev tools.
Upstream URL: https://nwjs.io/
Licenses: MIT
Conflicts: node-webkit, nwjs
Provides: node-webkit, nwjs
Replaces: node-webkit
Submitter: bazzletoe
Maintainer: bazzletoe
Last Packager: bazzletoe
Votes: 5
Popularity: 0.310165
First Submitted: 2016-05-17 21:56
Last Updated: 2016-12-21 20:11

Required by (4)

Sources (2)

Latest Comments

morealaz commented on 2016-12-05 09:58

update please!

bazzletoe commented on 2016-09-05 08:29

Apologies, schoolboy error, fixed now (I hope).

Thanks for notification.

libook commented on 2016-09-05 08:18

For version 0.17.0-1
Wrong sha256sum, the value in PKGBUILD is for nwjs-v0.17.0-linux-x64.tar.gz .
But the downloaded file is nwjs-sdk-v0.17.0-linux-x64.tar.gz .
Please solve this problem.

lviggiani commented on 2016-08-02 08:48

here is the updated PKGBUILD

# Maintainer: bazzletoe <barry.keegan at gmail.com>
_pkgname=nwjs-sdk
pkgname=$_pkgname
pkgver=0.16.0
pkgrel=1
pkgdesc="node-webkit is an app runtime based on Chromium and node.js. SDK version includes dev tools."
arch=("i686" "x86_64")
url="https://github.com/nwjs/nw.js"
license=("MIT")
depends=("alsa-lib" "gconf" "gtk2" "nss" "ttf-font" "libxtst" "libxss")
optdepends=(
"nodejs: npm package support"
"nw-gyp: native add-on build tool for node-webkit"
)
provides=("node-webkit" "nwjs")
replaces=("node-webkit")
conflicts=("node-webkit" "nwjs")

if [ "$CARCH" = "i686" ]; then
_arch="ia32"
fi
if [ "$CARCH" = "x86_64" ]; then
_arch="x64"
fi
source_common="http://dl.nwjs.io/v$pkgver/$_pkgname-v$pkgver-linux"
source_i686=("$source_common-ia32.tar.gz")
source_x86_64=("$source_common-x64.tar.gz")
sha256sums_i686=("9b1dc5b0544711275138b4e57de8cc98ca10532a3116698360de73354a898b20")
sha256sums_x86_64=("9954a1cc5c944321fdec2534cd3db2768e69b4d3a00bf52da7fc191e62445d71")

package() {
cd "$srcdir/$_pkgname-v$pkgver-linux-$_arch"
install -Ddm755 "$pkgdir/opt/$_pkgname"
install -Ddm755 "$pkgdir/usr/bin"
chmod -R +r *
chmod +x nw lib lib/lib{ffmpeg,node,nw}.so locales
cp -r * "$pkgdir/opt/$_pkgname"
ln -s "/opt/$_pkgname/nw" "$pkgdir/usr/bin/nw"
}

lviggiani commented on 2016-08-02 08:37

Hi, nwjs-sdk 0.16.0 is out

bazzletoe commented on 2016-05-17 22:05

running on x64 here - it works. will test i386 later to ensure it works also.